- MongoDB C Driver 1.13.1 »
- API Reference

# mongoc_socket_t

Portable socket abstraction

## Synopsis

    #include <mongoc/mongoc.h>

    typedef struct _mongoc_socket_t mongoc_socket_t

## Synopsis

This structure provides a socket abstraction that is friendlier for portability than BSD sockets directly. Inconsistencies between Linux, various BSDs, Solaris, and Windows are handled here.

## Functions

- mongoc_socket_accept()
- mongoc_socket_bind()
- mongoc_socket_close()
- mongoc_socket_connect()
- mongoc_socket_destroy()
- mongoc_socket_errno()
- mongoc_socket_getnameinfo()
- mongoc_socket_getsockname()
- mongoc_socket_listen()
- mongoc_socket_new()
- mongoc_socket_recv()
- mongoc_socket_send()
- mongoc_socket_sendv()
- mongoc_socket_setsockopt()

Created using Sphinx 1.8.3, based on Sphinx Readable Theme.